com.pdfunit.validators

## Class CertificationLevelValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.CertificationLevelValidator

-     @DoNotObfuscate
      public final class CertificationLevelValidator
      extends com.pdfunit.validators.AbstractValidator

  This class provides methods to verify the certified PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CertificationLevelValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificationLevelValidator` | `isCertified()` This method checks whether a PDF document is certified.
    `CertificationLevelValidator` | `isCertifiedFor(CertificationLevel expectedLevel)` This method compares the name of 'certified for' of the current document with the given parameter.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificationLevelValidator

          protected CertificationLevelValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### isCertified

          public CertificationLevelValidator isCertified()

      This method checks whether a PDF document is certified.

    - #### isCertifiedFor

          @Guarded
          public CertificationLevelValidator isCertifiedFor(CertificationLevel expectedLevel)

      This method compares the name of 'certified for' of the current document with the given parameter.

Copyright (C) PDFUnit.com. See here for license.